| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
BaseStatus Struct Reference

A struct storing the base status. More...

`#include <BaseStatus.hpp>`

## Public Attributes

int32_t | total_count = 0
| Total cumulative count.
int32_t | total_count_change = 0
| Increment since the last time the status was read.

## Detailed Description

A struct storing the base status.

## Member Data Documentation

## ◆ total_count

int32_t total_count = 0

Total cumulative count.

## ◆ total_count_change

int32_t total_count_change = 0

Increment since the last time the status was read.

The documentation for this struct was generated from the following file:

- include/fastdds/dds/core/status/BaseStatus.hpp